Package be.fgov.ehealth.technicalconnector.ra.domain

# Class ContactData

java.lang.Object
be.fgov.ehealth.technicalconnector.ra.domain.ContactData

All Implemented Interfaces:
  `Serializable`

public final class ContactData extends Object implements Serializable
The information to contact the owner of an eHealth certificate and ETK.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContactData()`
  `ContactData(String phonePrivate, String emailPrivate)`
  `ContactData(String phoneGeneral, String phonePrivate, String emailGeneral, String emailPrivate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getEmailGeneral()`
  `String`
  `getEmailPrivate()`
  `String`
  `getPhoneGeneral()`
  `String`
  `getPhonePrivate()`
  `int`
  `hashCode()`
  `void`
  `setEmailGeneral(String emailGeneral)`
  `void`
  `setEmailPrivate(String emailPrivate)`
  `void`
  `setPhoneGeneral(String phoneGeneral)`
  `void`
  `setPhonePrivate(String phonePrivate)`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContactData

    public ContactData()

  - ### ContactData

    public ContactData(String phonePrivate, String emailPrivate)

  - ### ContactData

    public ContactData(String phoneGeneral, String phonePrivate, String emailGeneral, String emailPrivate)

- ## Method Details

  - ### setPhoneGeneral

    public void setPhoneGeneral(String phoneGeneral)

  - ### setPhonePrivate

    public void setPhonePrivate(String phonePrivate)

  - ### setEmailGeneral

    public void setEmailGeneral(String emailGeneral)

  - ### setEmailPrivate

    public void setEmailPrivate(String emailPrivate)

  - ### getPhoneGeneral

    public String getPhoneGeneral()

  - ### getPhonePrivate

    public String getPhonePrivate()

  - ### getEmailGeneral

    public String getEmailGeneral()

  - ### getEmailPrivate

    public String getEmailPrivate()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`